/*=============================================
EDITAR PERSONA
=============================================*/
$("#tablaPersonas").on("click", ".btnEditarPersona", function(){

	var idPersona = $(this).attr("idPersona");

	var datos = new FormData();
    datos.append("idPersona", idPersona);

    $.ajax({

      url:"ajax/personas.ajax.php",
      method: "POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType:"json",
      success:function(respuesta){

        //console.log(respuesta);
        $("#editartipopersona option[value="+respuesta["tipopersona"]+"]").attr("selected",true);
        $("#editartipodocumento option[value="+respuesta["tipodocumento"]+"]").attr("selected",true);
        $("#editarZona option[value="+respuesta["idzona"]+"]").attr("selected",true);


      	 $("#idpersona").val(respuesta["idpersona"]);
	       $("#editarNombres").val(respuesta["nombres"]);
         $("#editarDocumento").val(respuesta["documento"]);
         $('#editarCodigo').val(respuesta["codigo"]);

         if(respuesta["sexo"] == "M"){
            $("#editarSexoM").iCheck('check');
         }else if (respuesta["sexo"] == "F") {
            $("#editarSexoF").iCheck('check');
         }

         $("#editarFechaNacimiento").val(respuesta["fechanacimiento"]);

         $("#editarTelefono").val(respuesta["telefono"]);

         $("#editarDireccion").val(respuesta["direccion"]);

         $("#editarEmail").val(respuesta["email"]);


	  }

  	})

})




/*=============================================
ELIMINAR PERSONA
=============================================*/
$("#tablaPersonas").on("click", ".btnEliminarPersona", function(){

	var idPersona = $(this).attr("idPersona");

	swal({
        title: '¿Está seguro de borrar el cliente?',
        text: "¡Si no lo está puede cancelar la acción!",
        type: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        cancelButtonText: 'Cancelar',
        confirmButtonText: 'Si, borrar cliente!'
      }).then(function(result){
        if (result.value) {

            window.location = "index.php?ruta=personas&idPersona="+idPersona;
        }

  })

})


/*=============================================
REVISAR SI LA PERSONA YA ESTÁ REGISTRADO
=============================================*/

$("#nuevoDocumento").change(function(){

  $(".alert").remove();

  var persona = $(this).val();

  var datos = new FormData();
  datos.append("validarPersona", persona);

   $.ajax({
      url:"ajax/personas.ajax.php",
      method:"POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType: "json",
      success:function(respuesta){

        if(respuesta){

          $("#nuevoDocumento").parent().after('<div class="alert alert-warning">Este cliente ya existe en la base de datos</div>');

          $("#nuevoDocumento").val("");

        }

      }

  })
})

/*==================================
REVISAR SI EL CODIGO YA EXISTE
==================================*/
$("#codigo").change(function(){
  validarCodigoExiste($(this));
});

function validarCodigoExiste(elemento){
  $(".alert").remove();

  var persona = elemento.val();

  var datos = new FormData();
  datos.append("validarPersonaCodigo", persona);

   $.ajax({
      url:"ajax/personas.ajax.php",
      method:"POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType: "json",
      success:function(respuesta){

        if(respuesta){

          $("#codigo").parent().after('<div class="alert alert-warning">Este codigo de cliente ya existe en la base de datos</div>');

          $("#codigo").val("");

        }

      }

  })
}


/*----------------------------------------
    Agregar clientes desde a ventana modal al Form
------------------------------------------*/

$("#cliente").click(function() {
  $("#modalAgregarPersona").modal("show");
  $("#modalAgregarPersona").attr('tipo', 'contrata');
});




$(".tablas").on('click', '.btnAgregarDatos', function(event) {
  event.preventDefault();
  var idPersonaServicio = $(this).attr("idPersonaServicio");

  var tipo = $("#modalAgregarPersona").attr("tipo");

  var datos = new FormData();
    datos.append("idPersonaServicio", idPersonaServicio);

    $.ajax({

      url:"ajax/personas.ajax.php",
      method: "POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType:"json",
      success:function(respuesta){

				console.log(respuesta);

        if(tipo === "contrata"){

            $("#nuevoNombreCliente").val(respuesta[0]["nombres"]);

            $("#modalAgregarPersona").modal('toggle');

            $("#nuevoDocumento").val(respuesta[0]["documento"]);
            $("#nuevoTelefono").val(respuesta[0]["telefono"]);
            $("#idpersona").val(respuesta[0]["idpersona"]);
            $("#CodigoContrato1").val(respuesta[0]['codigo']);
            $("#npagos").val(respuesta[0]['total_cuotas']);
            $("#PagosRealizados").val(respuesta[0]['Cpagados']);
            $("#pagosattras").val(respuesta[0]['Cpendientes']);
            

            $("#servicios").empty();
            $("#meses").empty();
            $("#cronogramapago").empty();
            $("#servicios").append('<option value="0">Seleccionar</option>');


            $.each(respuesta, function(index, val) {

              $("#servicios").append(`<option value=${val['idservicios']}>${val['codigo']+" - "+val['numromeses']+" Meses"} </option>`);
            });


       }
    }

    })

});





$(".tablas").on('click', '.btnAgregarDatosContrato', function(event) {
  event.preventDefault();
  var idPersonaContrato = $(this).attr("idPersonaContrato");
  var tipo = $("#modalAgregarPersona").attr("tipo");

  var datos = new FormData();
    datos.append("idPersonaContrato", idPersonaContrato);

    $.ajax({

      url:"ajax/personas.ajax.php",
      method: "POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType:"json",
      success:function(respuesta){

        console.log(respuesta);


        if(tipo === "contrata"){

            $("#nuevoNombreCliente").val(respuesta["nombres"]);

            $("#modalAgregarPersona").modal('toggle');

            $("#nuevoDocumento").val(respuesta["documento"]);
            $("#nuevoTelefono").val(respuesta["telefono"]);
            $("#idpersona").val(respuesta["idpersona"]);
            /*
            $("#servicios").empty();
            $("#servicios").append('<option value="0">Seleccionar</option>');

            $.each(respuesta, function(index, val) {
              $("#servicios").append(`<option value=${val['idservicios']}>${val['codigo']} </option>`);
            });*/


       }
    }

    })

});


/*--------------------------------------------------------------
    cambiar el tipo de documento segun el tipo de persona
    -----------------------------------------------------------*/
$("#tipopersona").on("change", function(){
  var tipoPersona = $(this).val();
  if(tipoPersona == "NATURAL"){
    $("#tipodocumento option[value='DNI']").attr("selected",true);
  } else {
    $("#tipodocumento option[value='RUC']").attr("selected",true);
  }
})

/* ------------------------------------------------------------
        consultar la zona a la que pertenece cada direccion
        para agregarla en un input zona
  ----------------------------------------------------------------*/
  /*
$('#nuevoDireccion, #editarDireccion').on("change", function(){
  var idDereccion = $(this).val();
  var datos = new FormData();
  datos.append("iddireccion", idDereccion);

   $.ajax({
      url:"ajax/direcciones.ajax.php",
      method:"POST",
      data: datos,
      cache: false,
      contentType: false,
      processData: false,
      dataType: "json",
      success:function(respuesta){

        if(respuesta){
          $("#nuevaZona").val(respuesta[0].nombre_zona);
          $("#editarZona").val(respuesta[0].nombre_zona);
        }

      }

  })
})*/
